Package org.eclipse.gef.zest.fx.parts

## Class NodeLabelPart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractContentPart<javafx.scene.Group>
    - - org.eclipse.gef.zest.fx.parts.AbstractLabelPart
      - - org.eclipse.gef.zest.fx.parts.NodeLabelPart

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IContentPart<javafx.scene.Group>`, `ITransformableContentPart<javafx.scene.Group>`, `IVisualPart<javafx.scene.Group>`

    public class NodeLabelPart
    extends AbstractLabelPart

The `NodeLabelPart` is an `AbstractVisualPart` that is used to display the external label of a node.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`CSS_CLASS_LABEL`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`TRANSFORM_PROVIDER_KEY, TRANSFORM_PROVIDER_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Constructor Summary

Constructors
`NodeLabelPart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Point` `computeLabelPosition()` Computes a position for this label.
`protected javafx.scene.Group` `doCreateVisual()`
`protected SetMultimap<? extends java.lang.Object,​java.lang.String>` `doGetContentAnchorages()`
`protected void` `doRefreshVisual​(javafx.scene.Group visual)`
`javafx.util.Pair<Node,​java.lang.String>` `getContent()`
`IVisualPart<? extends javafx.scene.Node>` `getFirstAnchorage()` Returns the `NodePart` for which this `NodeLabelPart` displays the label.

### Methods inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`createText, doActivate, doAttachToAnchorageVisual, doDeactivate, doDetachFromAnchorageVisual, doGetContentChildren, getContentTransform, getLabelPosition, getLabelPositionAttributeKey, getText, recomputeLabelPosition, refreshPosition, setContentTransform, setLabelPosition`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAddContentChild, doAttachToContentAnchorage, doDetachFromContentAnchorage, doRemoveContentChild, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doAddChildVisual, doRemoveChildVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`getVisualTransform, setVisualTransform`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Constructor Detail

#### NodeLabelPart

    public NodeLabelPart()

### Method Detail

#### computeLabelPosition

    public Point computeLabelPosition()

Description copied from class: `AbstractLabelPart`
Computes a position for this label.

Specified by:
  `computeLabelPosition` in class `AbstractLabelPart`
Returns:
  The computed position for this label in the coordinate system of the `GraphPart` that contains this label.

#### doCreateVisual

    protected javafx.scene.Group doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doGetContentAnchorages

    protected SetMultimap<? extends java.lang.Object,​java.lang.String> doGetContentAnchorages()

Specified by:
  `doGetContentAnchorages` in class `AbstractContentPart<javafx.scene.Group>`

#### doRefreshVisual

    protected void doRefreshVisual​(javafx.scene.Group visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### getContent

    public javafx.util.Pair<Node,​java.lang.String> getContent()

Specified by:
  `getContent` in interface `IContentPart<javafx.scene.Group>`
Overrides:
  `getContent` in class `AbstractLabelPart`

#### getFirstAnchorage

    public IVisualPart<? extends javafx.scene.Node> getFirstAnchorage()

Returns the `NodePart` for which this `NodeLabelPart` displays the label.

Returns:
  The `NodePart` for which this `NodeLabelPart` displays the label.